{% extends appTheme.getTheme~'/base.html.twig' %}

{% set body_class = 'authentification' %}
{% set no_header = 1 %}
{% set no_footer = 1 %}

{% block body %}

    <form action="{{ path('app_login') }}" method="post" class="bloc-authent">
        <h1 class="logo-departements-notaires-authent">{% trans %}Départements et Notaires{% endtrans %}</h1>

        <p class="intro-authent">{% trans %}Départements et Notaires est destiné au strict usage professionnel des études notariales en charge d’une succession, qui s’interrogent sur l’existence éventuelle d’une créance du Département au titre de l’aide sociale.{% endtrans %}</p>

        {% include appTheme.getTheme~'/utils/messages.html.twig' %}

        <div class="input-wrapper-authent">
            <input type="text" id="username" name="username" value="{{ last_username }}" placeholder="{% trans %}Identifiant{% endtrans %}" aria-label="{% trans %}Identifiant{% endtrans %}" title="{% trans %}Identifiant{% endtrans %}"/>
        </div>

        <div class="input-wrapper-authent">
            <input type="password" id="password" name="password" placeholder="{% trans %}Mot de passe{% endtrans %}" aria-label="{% trans %}Mot de passe{% endtrans %}" title="{% trans %}Mot de passe{% endtrans %}"/>
            <div class="password-icon">
                <i class="icon-eye"></i>
                <i class="icon-eye-blocked"></i>
            </div>
            <a href="{{ path('forgot_password') }}" title="{% trans %}Mot de passe oublié{% endtrans %}">{% trans %}J'ai oublié mon mot de passe{% endtrans %}</a>
        </div>

        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
        <button class="border-button"><span>{% trans %}Connexion{% endtrans %}</span></button>

        <div class="flex-container">
            <p>Version {{ version.getVersion }}</p>
            <a href="{{ path('help') }}">{% trans %}Aide{% endtrans%} <i class="icon-question"></i></a>
        </div>
    </form>

    <a href="{{ settings.data.departmentSite }}" class="logo-department-authent" target="_blank">
        {% if settings.data.appLogo %}
            <img src="{{ uploaded_asset(settings.data.appLogo)|image_filter('logo_login') }}"
                 alt="{{ settings.data.departmentName }}">
        {% endif %}
    </a>

{% endblock %}
